librime: rime::CustomSettings Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::CustomSettings Class Reference

`#include <custom_settings.h>`

Inheritance diagram for rime::CustomSettings:
[legend]
Collaboration diagram for rime::CustomSettings:
[legend]

## Public Member Functions
| CustomSettings (Deployer *deployer, const string &config_id, const string &generator_id)
virtual | ~CustomSettings ()=default
virtual bool | Load ()
virtual bool | Save ()
an< ConfigValue > | GetValue (const string &key)
an< ConfigList > | GetList (const string &key)
an< ConfigMap > | GetMap (const string &key)
bool | Customize (const string &key, const an< ConfigItem > &item)
bool | IsFirstRun ()
bool | modified () const
Config * | config ()

## Protected Attributes
Deployer * | deployer_
bool | modified_ = false
string | config_id_
string | generator_id_
Config | config_
Config | custom_config_

## Constructor & Destructor Documentation

## ◆ CustomSettings()

rime::CustomSettings::CustomSettings | ( | Deployer * | deployer,
|  | const string & | config_id,
|  | const string & | generator_id )

## ◆ ~CustomSettings()

virtual rime::CustomSettings::~CustomSettings | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ config()

Config * rime::CustomSettings::config | ( |  | ) |
| inline

## ◆ Customize()

bool rime::CustomSettings::Customize | ( | const string & | key,
|  | const an< ConfigItem > & | item )

## ◆ GetList()

an< ConfigList > rime::CustomSettings::GetList | ( | const string & | key | ) |

## ◆ GetMap()

an< ConfigMap > rime::CustomSettings::GetMap | ( | const string & | key | ) |

## ◆ GetValue()

an< ConfigValue > rime::CustomSettings::GetValue | ( | const string & | key | ) |

## ◆ IsFirstRun()

bool rime::CustomSettings::IsFirstRun | ( |  | ) |

## ◆ Load()

bool rime::CustomSettings::Load | ( |  | ) |
| virtual

Reimplemented in rime::SwitcherSettings.

## ◆ modified()

bool rime::CustomSettings::modified | ( |  | ) | const
| inline

## ◆ Save()

bool rime::CustomSettings::Save | ( |  | ) |
| virtual

## Member Data Documentation

## ◆ config_

Config rime::CustomSettings::config_
| protected

## ◆ config_id_

string rime::CustomSettings::config_id_
| protected

## ◆ custom_config_

Config rime::CustomSettings::custom_config_
| protected

## ◆ deployer_

Deployer* rime::CustomSettings::deployer_
| protected

## ◆ generator_id_

string rime::CustomSettings::generator_id_
| protected

## ◆ modified_

bool rime::CustomSettings::modified_ = false
| protected

The documentation for this class was generated from the following files:

- custom_settings.h
- custom_settings.cc